﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Jon.Adventureworks.Core.Objects
{
    public class Animal
    {
        public virtual string Breathe() { return "Animal::Breathe"; }
        public virtual string Eat() { return "Animal::Eat"; }
        public virtual string Sleep() { return "Animal::Sleep"; }
    }

    public class Fish : Animal
    {
        //public string Breathe() { return "Fish::Breathe"; }
        public override string Eat() { return "Fish::Eat"; }
        public new string Sleep() { return "Fish::Sleep"; }
    }
}
